<?php

namespace IQBall\Core\Data;

class TeamInfo implements \JsonSerializable {
    private int $id;
    private string $name;
    private string $picture;
    private string $mainColor;
    private string $secondColor;

    /**
     * @param int $id
     * @param string $name
     * @param string $picture
     * @param string $mainColor
     * @param string $secondColor
     */
    public function __construct(int $id, string $name, string $picture, string $mainColor, string $secondColor) {
        $this->id = $id;
        $this->name = $name;
        $this->picture = $picture;
        $this->mainColor = $mainColor;
        $this->secondColor = $secondColor;
    }


    public function getId(): int {
        return $this->id;
    }

    public function getName(): string {
        return $this->name;
    }

    public function getPicture(): string {
        return $this->picture;
    }

    public function getMainColor(): string {
        return $this->mainColor;
    }

    public function getSecondColor(): string {
        return $this->secondColor;
    }

    public function jsonSerialize() {
        return get_object_vars($this);
    }


}
